> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ohmyho.st/llms.txt
> Use this file to discover all available pages before exploring further.

# Read effective plan and monthly versus one-time credit balance



## OpenAPI

````yaml /openapi.json get /v1/organizations/{organization_id}/account
openapi: 3.1.2
info:
  title: ohmyho.st API
  version: 0.0.0
  description: >-
    Public REST API for ohmyho.st hosting, projects, domains, email, credits and
    exports.
servers:
  - url: https://app.ohmyho.st
    description: Production control API
  - url: https://dev.app.ohmyho.st
    description: Development control API
security:
  - BearerAuth: []
paths:
  /v1/organizations/{organization_id}/account:
    get:
      summary: Read effective plan and monthly versus one-time credit balance
      operationId: getOrganizationAccount
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/Ulid'
      responses:
        '200':
          description: Authenticated account data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationAccount'
        '400':
          $ref: '#/components/responses/Problem'
        '401':
          $ref: '#/components/responses/Problem'
        '403':
          $ref: '#/components/responses/Problem'
        '404':
          $ref: '#/components/responses/Problem'
        '429':
          $ref: '#/components/responses/Problem'
        '503':
          $ref: '#/components/responses/Problem'
components:
  schemas:
    Ulid:
      type: string
      pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
    OrganizationAccount:
      type: object
      additionalProperties: false
      required:
        - organization_id
        - name
        - workos_organization_id
        - plan
        - plan_source
        - paid_until
        - available_micros
        - monthly_micros
        - one_time_micros
        - reserved_micros
        - next_expiry
        - as_of
      properties:
        organization_id:
          $ref: '#/components/schemas/Ulid'
        name:
          type: string
        workos_organization_id:
          type: string
        plan:
          type: string
          enum:
            - free
            - paid
        plan_source:
          type: string
          enum:
            - free
            - stripe
            - beta
            - manual
        paid_until:
          type:
            - string
            - 'null'
          format: date-time
        available_micros:
          $ref: '#/components/schemas/CreditMicros'
        monthly_micros:
          $ref: '#/components/schemas/CreditMicros'
        one_time_micros:
          $ref: '#/components/schemas/CreditMicros'
        reserved_micros:
          $ref: '#/components/schemas/CreditMicros'
        next_expiry:
          type:
            - string
            - 'null'
          format: date-time
        as_of:
          type: string
          format: date-time
    CreditMicros:
      type: string
      pattern: ^(0|[1-9][0-9]{0,18})$
      description: >-
        Non-negative microcredits, at most 9223372036854775807. One credit
        equals 1000000 microcredits.
    ProblemDetails:
      type: object
      description: RFC 9457 Problem Details extended with stable ohmyhost recovery fields.
      additionalProperties: false
      required:
        - type
        - title
        - status
        - code
        - request_id
        - retryable
        - suggested_action
      properties:
        type:
          type: string
          format: uri-reference
        title:
          type: string
          minLength: 1
        status:
          type: integer
          minimum: 400
          maximum: 599
        detail:
          type: string
        instance:
          type: string
          format: uri-reference
        code:
          type: string
          enum:
            - invalid_request
            - unauthenticated
            - forbidden
            - resource_not_found
            - idempotency_key_reused
            - project_handle_unavailable
            - project_identity_unavailable
            - deployment_plan_expired
            - deployment_plan_incompatible
            - confirmation_expired
            - confirmation_invalid
            - etag_mismatch
            - promotion_source_stale
            - promotion_target_stale
            - promotion_invalid_target
            - mail_domain_conflict
            - mail_domain_required
            - framework_conversion_required
            - migration_filename_noncanonical
            - environment_secret_mutation_blocked
            - container_runtime_required
            - payload_too_large
            - rate_limited
            - insufficient_organization_credits
            - paid_plan_required
            - project_budget_exceeded
            - compute_performance_paid_required
            - compute_performance_unavailable
            - compute_change_pending
            - compute_change_conflict
            - billing_purchase_conflict
            - cloudflare_authorization_closed
            - project_notes_conflict
            - project_export_not_ready
            - interactive_login_required
            - api_key_creation_uncertain
            - api_key_permissions_unavailable
            - reconciliation_exhausted
            - service_unavailable
        request_id:
          type: string
          minLength: 1
          maxLength: 128
        retryable:
          type: boolean
        retry_after_seconds:
          type: integer
          minimum: 1
          maximum: 86400
          description: >-
            Optional machine-readable retry delay for a rate limit, matching
            Retry-After.
        suggested_action:
          type: string
          minLength: 1
  responses:
    Problem:
      description: The request failed.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
  headers:
    XRequestId:
      description: Correlates the request with operations, events, logs, and audit records.
      required: true
      schema:
        type: string
        minLength: 1
        maxLength: 128
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        WorkOS access JWT or a user-owned WorkOS API key. User keys are bound to
        one organization and restricted to their enabled product permissions.
        Session-only onboarding and session revocation require an interactive
        access JWT. No cookie session is assumed.

````